Bug 1118150 - FormatCreateError: ('invalid device specification', '/dev/sdb3') non-existent mdmember
Summary: FormatCreateError: ('invalid device specification', '/dev/sdb3') non-existent...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 05:05 UTC by Chris Murphy
Modified: 2015-12-02 16:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:14:53 UTC


Attachments (Terms of Use)
anaconda-tb (2.01 MB, text/plain)
2014-07-10 05:05 UTC, Chris Murphy
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1116515 None None None Never

Internal Links: 1116515

Description Chris Murphy 2014-07-10 05:05:37 UTC
Created attachment 916991 [details]
anaconda-tb

Description of problem:
Crash after starting installation.

Version-Release number of selected component (if applicable):
anaconda 21.46-1

How reproducible:
2 for 2.

Steps to Reproduce:
1. /boot/efi, /boot, and / are device type RAID, raid1.
2. swap is standard partition
3. Begin installation

Actual results:
Crash

Expected results:
No crash.

Additional info:
Could be a duplicate of 1116515, according to abrt it is, but the conditions look different.

Comment 1 Chris Murphy 2014-07-10 05:18:31 UTC
Well the partition type code is wrong for sdb1 and sdb2; they're set to Linux data partition type, while their twin are set to Linux RAID partition type. But I don't know that this is related to the crash.

 fd00 so they aren't set to the partition type code for Linux RAID.

[root@localhost tmp]# gdisk -l /dev/sda
Number  Start (sector)    End (sector)  Size       Code  Name
   1            2048        97716223   46.6 GiB    FD00  
   2        97716224        98693119   477.0 MiB   FD00  
   3        98693120        99084287   191.0 MiB   FD00  
   4        99084288       108849151   4.7 GiB     8200  

[root@localhost tmp]# gdisk -l /dev/sdb
Number  Start (sector)    End (sector)  Size       Code  Name
   1            2048        97716223   46.6 GiB    8300  
   2        97716224        98693119   477.0 MiB   8300  
   3        98693120        99084287   191.0 MiB   FD00

Comment 2 mulhern 2014-07-11 12:44:45 UTC
I took a quick look and nothing really stands out. The exception is raised solely because "/dev/sdb3" does not seem to exist, which is odd, because the log shows the device being created in the previous action. That is, I don't think the actions or their orders are the problem, it must be some content of possibly the device format action, that causes the problem.

Comment 3 Fedora End Of Life 2015-11-04 15:17:50 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-12-02 03:14:56 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.